import configPrettier from 'eslint-config-prettier';
import pluginImport from 'eslint-plugin-import';

export default [
    {
        // 将 settings 提升到顶层
        settings: {
            'import/resolver': {
                'custom-alias': {
                    extensions: ['.js'],
                    alias: {
                        '#config': './config',
                        '#src': './src',
                        '#start': './src/utils/start.js',
                    },
                },
            },
        },
        languageOptions: {
            ecmaVersion: 2022,
            sourceType: 'module',
        },
        rules: {
            'no-console': 'warn',
            'no-unused-vars': ['error', { argsIgnorePattern: '^_' }],
            semi: ['error', 'always'],
            'comma-dangle': ['error', 'always-multiline'],
        },
    },
    configPrettier,
    {
        plugins: { import: pluginImport },
        rules: pluginImport.configs.recommended.rules,
    },
];
