import fp from 'fastify-plugin';
import database from '#plugins/database/index';
import swagger from '#plugins/swagger/index';

async function plugin(fastify, opts) {
    fastify.log.warn('Register Global Plugin!');
    // 加载配置
    fastify.decorate('config', opts.config);
    // 注册数据库
    await fastify.register(database);
    // 注册swagger
    fastify.config.env === 'development' && await fastify.register(swagger);
    fastify.log.warn('Register Global Plugin complete!');
}
export default fp(plugin);
