import fastifyPlugin from "fastify-plugin";
import fastifySwagger from "@fastify/swagger";
import fastifySwaggerUI from "@fastify/swagger-ui";
async function swagger(fastify, options) {
    // 注册swagger插件（新版配置方式）
    fastify.log.warn('Register Swagger Plugin!');
    await fastify.register(fastifySwagger, {
        openapi: {
            info: {
                title: `${fastify.config.serviceName} API`,
                version: fastify.config.version,
                description: fastify.config.description
            },
        },
        // staticCSP: true,         // 启用安全策略
        exposeRoute: true         // 自动暴露路由
    });
    // 注册swagger-ui界面 (新增部分)
    await fastify.register(fastifySwaggerUI, {
        routePrefix: '/docs',
    });
    fastify.log.warn('Register Swagger complete!');
    fastify.log.info(`Swagger documentation available at http://127.0.0.1:${fastify.config.server.port}/docs`);
}

export default fastifyPlugin(swagger);