import { testSchema } from "#src/schema/test.schema";
import { testService } from "#src/services/test.service";
import userRoute from "#routes/user.route";

export default async function routes(fastify, options) {
    // 定义一个GET请求的路由，路径为根路径
    fastify.get('/', async (request, reply) => {
        fastify.log.info(fastify.config);
        return fastify.config;
    });
    fastify.get('/test', testSchema , testService);


    // 注册子路由
    fastify.register(userRoute, { prefix: '/user' });











    fastify.route({
        method: 'POST',
        url: '/login',
        schema: {
            tags: ['认证体系'], // 接口分组
            summary: '用户登录',
            description: '使用用户名密码进行身份认证',
            security: [{
            }],
            body: {
                type: 'object',
                required: ['username', 'password'],
                properties: {
                    username: { type: 'string', default: 'user1' },
                    password: { type: 'string', default: '123456' }
                }
            },
            response: {
                200: {
                    description: '登录成功',
                    type: 'object',
                    properties: {
                        token: { type: 'string' },
                        expire: { type: 'number' }
                    }
                },
                401: {
                    description: '认证失败',
                    type: 'object',
                    properties: {
                        code: { type: 'number', enum: [401] },
                        error: { type: 'string' }
                    }
                }
            }
        },
        handler: async (req, reply) => {
            // ...业务逻辑...
        }
    });

    // 输出路由树
    fastify.ready(() => {
        fastify.log.info('Routes Registered!');
        fastify.log.info('\n' + fastify.printRoutes());
    });
}
